<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:focusableInTouchMode="true"
    android:orientation="vertical"
    android:padding="1dp">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/login_bg"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="10dp">

                <TextView
                    android:id="@+id/login_for_registered_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="left"
                    android:padding="5dp"
                    android:text="Login"
                    android:textColor="#3da961"
                    android:textSize="25dp"
                    android:textStyle="bold" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1.5dp"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="20dp"
                    android:background="#dcdcdc">

                </View>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@drawable/login_editext_bg">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:visibility="gone"
                        android:layout_alignParentLeft="true">

                        <ImageView
                            android:id="@+id/username_icon"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:layout_centerInParent="true"
                            android:src="@drawable/email">

                        </ImageView>

                    </RelativeLayout>


                    <EditText
                        android:drawableLeft="@drawable/email"
                        android:id="@+id/username_edittext"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"

                        android:background="@drawable/login_editext_bg"
                        android:digits="ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789abcdefghijklmnopqrstuvwxyz!@#$%-_.&amp;"
                        android:ems="10"
                        android:hint="User Name"
                        android:inputType="text"
                        android:paddingLeft="5dp"
                        android:textCursorDrawable="@null"
                        android:textSize="18dp" />

                </RelativeLayout>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="30dp"
                    android:background="@drawable/login_editext_bg">

                    <RelativeLayout
                        android:visibility="gone"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentLeft="true">

                        <ImageView
                            android:id="@+id/password_icon"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:layout_centerInParent="true"
                            android:src="@drawable/key">

                        </ImageView>

                    </RelativeLayout>


                    <EditText
                        android:drawableLeft="@drawable/lock"
                        android:id="@+id/password_edittext"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"

                        android:background="@drawable/login_editext_bg"
                        android:ems="10"
                        android:hint="Password"
                        android:inputType="textPassword"
                        android:minHeight="40dp"
                        android:paddingLeft="5dp"
                        android:textCursorDrawable="@null"
                        android:textSize="18dp" />

                </RelativeLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="5dp"

                    android:gravity="left"
                    android:orientation="horizontal">

                    <ImageView

                        android:id="@+id/captcha_imageview"
                        android:layout_width="200dp"
                        android:layout_height="match_parent"
                        android:padding="5dp"
                        android:src="@mipmap/ic_launcher" />

                    <Button
                        android:id="@+id/captcha_retry_button"
                        android:layout_width="35dp"
                        android:layout_height="35dp"
                        android:background="@drawable/retry" />


                </LinearLayout>


                <TextView
                    android:id="@+id/captch_hint"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="8dp"
                    android:text="Text shown in Captcha is case-sensitive"
                    android:textColor="@color/light_blue"
                    android:textSize="10dp" />

                <TextView
                    android:id="@+id/login_type_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="7dp"
                    android:text="Type the text shown as per the image above"
                    android:textColor="@color/light_blue"
                    android:textSize="10dp" />



                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="30dp"
                    android:background="@drawable/login_editext_bg">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:visibility="gone"
                        android:layout_alignParentLeft="true">

                        <ImageView
                            android:id="@+id/captcha_icon"
                            android:layout_width="35dp"
                            android:layout_height="35dp"
                            android:layout_centerInParent="true"
                            android:src="@drawable/qrcode">

                        </ImageView>

                    </RelativeLayout>


                    <EditText
                        android:id="@+id/captcha_edittext"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_alignParentRight="true"
                        android:background="@drawable/login_editext_bg"
                        android:drawableLeft="@drawable/qrcode_edit"
                        android:ems="10"
                        android:inputType="text"
                        android:maxLength="6"
                        android:hint="Type text shown above"
                        android:drawablePadding="5dp"
                        android:minHeight="40dp"

                        android:textCursorDrawable="@null"
                        android:textSize="18dp" />

                </RelativeLayout>



                <Button
                    android:id="@+id/login_button"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="10dp"
                    android:background="@drawable/submit_btn_bg"
                    android:gravity="center"
                    android:text="Submit"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="18dp"
                    android:textStyle="normal" />


                <TextView
                    android:id="@+id/wrong_credntial_textview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="8dp"
                    android:text="Something wrong happned !"
                    android:visibility="gone"
                    android:textColor="@color/red"
                    android:textSize="12dp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1.5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="20dp"
                    android:background="#dcdcdc">

                </View>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="2dp"
                    android:background="#f5f5f5"
                    android:orientation="vertical">


                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:id="@+id/layout_newuser"
                        android:layout_height="40dp">

                        <RelativeLayout

                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentLeft="true">

                            <ImageView
                                android:id="@+id/newuser_icon"
                                android:layout_width="35dp"
                                android:layout_height="35dp"
                                android:layout_centerInParent="true"
                                android:src="@drawable/newuser">

                            </ImageView>

                        </RelativeLayout>


                        <TextView
                            android:id="@+id/textview_newuser"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignLeft="@+id/layout_newuser"
                            android:layout_marginLeft="40dp"
                            android:gravity="center_vertical"
                            android:text="New User"
                            android:textColor="#2aa548"
                            android:textSize="18dp"
                            android:textStyle="bold" />

                    </RelativeLayout>




                    <RelativeLayout
                        android:id="@+id/layout_forgotpwd"
                        android:visibility="visible"
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:layout_marginTop="10dp">

                        <RelativeLayout

                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentLeft="true">

                            <ImageView
                                android:id="@+id/forgotpwd_icon"
                                android:layout_width="35dp"
                                android:layout_height="35dp"
                                android:layout_centerInParent="true"
                                android:src="@drawable/lock">

                            </ImageView>

                        </RelativeLayout>


                        <TextView
                            android:id="@+id/textview_forgotpwd"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignLeft="@+id/layout_forgotpwd"
                            android:layout_marginLeft="40dp"
                            android:gravity="center_vertical"
                            android:text="Forgot Password?"
                            android:textColor="#6e6e6e"
                            android:textSize="18dp"
                            android:textStyle="bold" />

                    </RelativeLayout>


                </LinearLayout>

                <Button

                    android:id="@+id/register_as_user_button"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:background="@drawable/register_as_user_button"
                    android:text="Register as user"
                    android:textAllCaps="false"
                    android:textColor="@color/black"
                    android:textSize="18dp"
                    android:textStyle="normal"
                    android:visibility="gone" />
            </LinearLayout>
        </LinearLayout>

    </ScrollView>
</LinearLayout>